# SolrQuery::getHighlightRegexSlop

(PECL solr >= 0.9.2)

SolrQuery::getHighlightRegexSlop — Returns the deviation factor from the ideal fragment size

### Description

public SolrQuery::getHighlightRegexSlop ( void ) : float

Returns the factor by which the regex fragmenter can deviate from the ideal fragment size to accomodate the regular expression

### Parameters

This function has no parameters.

### Return Values

Returns a double on success and `NULL` if not set.